# List card templates

**GET** `/issuing/card-programs/{card_program_id}/card-templates`

Retrieve the card templates a card program's physical cards can be created with. Pass a template's `id` as `card_template_id` when creating a physical card, or omit it to use the card program's `default_card_template_id`.

### Path Parameters

- `card_program_id` `string` _(required)_ — Unique identifier for the card program.

**Request**

```shell
curl 'https://api.column.com/issuing/card-programs/<card_program_id>/card-templates' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "card_templates": [
    {
      "card_program_id": "cpgm_2x8gszy5folpA9s0TOCseE9ABDM",
      "created_at": "2024-01-15T09:30:00Z",
      "description": "Black card with a silver logo",
      "id": "ctmp_2x8gszy5folpA9s0TOCseE9ABDM",
      "name": "Black card"
    }
  ]
}
```
